<template>
  <ul :class="$style.bookList">
    <li v-for="(book, index) in books" :key="book.id + index">
      <book-item
        :id="book.id"
        :title="book.title"
        :description="book.description"
        :imageUrl="book.imageUrl"
        :rating="book.rating"
      />
    </li>
  </ul>
</template>

<script>
import BookItem from "./book-item.vue";

export default {
  name: "SearchList",
  components: { BookItem },
  props: {
    books: {
      type: Array,
      default() {
        return [];
      }
    }
  }
};
</script>

<style lang="scss" module>
@import "../shared/styles/imports.scss";

.bookList {
  @include clearUl();

  & > li {
    padding: 4px 0;
    border-top: 1px solid #979797;

    &:first-child {
      padding-top: 0;
      border-top: none;
    }
  }
}
</style>
